/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomXPathException_H__
#define __GdomXPathException_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomXPathException GdomXPathException;
typedef struct _GdomXPathExceptionClass GdomXPathExceptionClass;


#define GDOM_TYPE_X_PATH_EXCEPTION            (gdom_x_path_exception_get_type())
#define GDOM_X_PATH_EXCEPTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_X_PATH_EXCEPTION, GdomXPathException))
#define GDOM_X_PATH_EXCEPTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_X_PATH_EXCEPTION, GdomXPathException)Class)
#define GDOM_IS_X_PATH_EXCEPTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_X_PATH_EXCEPTION))
#define GDOM_IS_X_PATH_EXCEPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_X_PATH_EXCEPTION))
#define GDOM_X_PATH_EXCEPTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_X_PATH_EXCEPTION, GdomXPathExceptionClass))

typedef struct _GdomXPathExceptionPrivate GdomXPathExceptionPrivate;

struct _GdomXPathException {
    GdomDOMObject parent_instance;
    GdomXPathExceptionPrivate *priv;
};

struct _GdomXPathExceptionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_x_path_exception_get_type (void);

WEBKIT_API gchar *
gdom_x_path_exception_to_string (GdomXPathException *thiz);

G_END_DECLS

#endif /* __GdomXPathException_H__ */
